import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.PrintWriter;
import java.math.BigInteger;
import java.util.Scanner;
import java.util.StringTokenizer;


public class Main {

	static final String task = "d";
	
	public static void main(String[] args) throws Exception {
		//Scanner in = new Scanner(new FileReader(task+".in"));
		BufferedReader in = new BufferedReader(new FileReader(task+".in"));
		PrintWriter out = new PrintWriter(new File(task+".out"));
		
		String s = in.readLine();
		StringTokenizer t = new StringTokenizer(s," ");
		
		BigInteger n = new BigInteger(t.nextToken());
		BigInteger a = new BigInteger(t.nextToken());
		BigInteger b = new BigInteger(t.nextToken());
		
		out.print(n.subtract(a).add(b).toString());
		
		in.close();
		out.close();
	}

}
